// addserverdialog.h
//
/****************************************************************************
   Copyright (C) 2004, David Henry. All rights reserved.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*****************************************************************************/


#ifndef ADDSERVERDIALOG_H
#define ADDSERVERDIALOG_H

#include <qdialog.h>

class QVBoxLayout;
class QHBox;
class QLineEdit;
class QHBoxLayout;
class QLabel;

class AddServerDialog: public QDialog
{
   Q_OBJECT

public:
   AddServerDialog( QWidget *, const char *, bool, WFlags );

signals:
   void address ( QString );

protected slots:
   void returnAddress();
   
private:
   QVBoxLayout *mainBox;
   QHBox *addressBox;
   QLineEdit *addressEdit;
   QLineEdit *portEdit;
   QHBoxLayout *controlBox;
   QPushButton *okButton;
   QPushButton *cancelButton;
   QLabel *portLabel;
   QLabel *addressLabel;
};

#endif
