// gsmsXMLdoc.h
//
/****************************************************************************
   Copyright (C) 2004, David Henry. All rights reserved.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*****************************************************************************/

#ifndef GSMSXMLDOC_H
#define GSMSXMLDOC_H

#include <qdom.h>

class ServerListView;

class GsmsXMLDoc: public QDomDocument
{
public:
   GsmsXMLDoc( const QString &name=0 );
   void parseServerList ( ServerListView *currList );

private:
   bool leased;
   bool official;
};

#endif
